import sys

def begin_run(runDescription: str):
    print(f"python: begin_run - python version: {sys.version}")
    try:
        import debugpy
        debugpy.listen(5678)
        print("python: debugpy listening on :5678")
    except Exception as e:
        print(f"python: could not start debugpy: {e}")

def end_run(runDescription: str):
    print(f"python: end_run")

def process_event(eventIndex: int, dataArrays):
    return
    print(f"event[{eventIndex}]: {dataArrays}")

def process_system_event(data):
    return
    print(f"python: system_event: size={len(data)}")
